class BaseLearn:
    def __init__(self):
        pass

    def set_model(self):
        return NotImplementedError

    def execute(self):
        return NotImplementedError

    def evaluate(self):
        return NotImplementedError